<?php

namespace EV\AdminBundle\Entity;

use Doctrine\ORM\EntityRepository;

/**
 * EvenementRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class EvenementRepository extends EntityRepository
{
	public function getTodayEvents() {
        //$today = new \DateTime();
        $tomorrow = new \DateTime(date('Y-m-d H:i:s', strtotime('+1 day')));
        $yesterday = new \DateTime(date('Y-m-d H:i:s', strtotime('-1 day')));
        //die(var_dump($tomorrow));
        $qb = $this->getEntityManager()->createQuery('SELECT p
                        FROM EVAdminBundle:Evenement p
                        WHERE p.date BETWEEN :yesterday AND :tomorrow')
                ->setParameter('yesterday', $yesterday)
                ->setParameter('tomorrow', $tomorrow);

        // On renvoie le résultat
        return $qb->getResult();
    }

}
